summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid McKay2019-05-13 20:44:55 +0200
committerDavid McKay2019-05-13 20:44:55 +0200
commitfaffe88ef79efa3640af4e85444881b814a304d5 (patch)
tree4d5729e7ff1a326fbe62126db19941e3c7873ceb
downloadaur-faffe88ef79efa3640af4e85444881b814a304d5.tar.gz
Release 0.28.3
-rw-r--r--.SRCINFO19
-rw-r--r--.gitignore5
-rw-r--r--Makefile5
-rw-r--r--PKGBUILD26
4 files changed, 55 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4002c82abc9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = fluxlang
+ pkgdesc = InfluxData's Flux Language
+ pkgver = 0.28.3
+ pkgrel = 1
+ url = https://github.com/influxdata/flux
+ arch = i686
+ arch = x86_64
+ arch = arm64
+ license = mit
+ makedepends = go
+ makedepends = dep
+ makedepends = make
+ makedepends = ragel
+ makedepends = ruby
+ source = https://github.com/influxdata/flux/archive/v0.28.3.tar.gz
+ sha256sums = b0332f395303578acda2fb8fb675c959c982588cd57861ceb8cd8881744293fd
+
+pkgname = fluxlang
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..d1928c3e75f
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+*
+!/PKGBUILD
+!Makefile
+!.gitignore
+!.SRCINFO
diff --git a/Makefile b/Makefile
new file mode 100644
index 00000000000..6f324042bbe
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,5 @@
+srcinfo:
+ @makepkg --printsrcinfo > .SRCINFO
+
+build:
+ @makepkg -cCsirfi
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..589212989a1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: rawkode <david@rawkode.dev>
+
+pkgname=fluxlang
+pkgdir="pkg-build"
+pkgdesc="InfluxData's Flux Language"
+pkgver=0.28.3
+pkgrel=1
+arch=('i686' 'x86_64' 'arm64')
+url="https://github.com/influxdata/flux"
+license=('mit')
+makedepends=('go' 'dep' 'make' 'ragel' 'ruby')
+
+source=("https://github.com/influxdata/flux/archive/v$pkgver.tar.gz")
+sha256sums=('b0332f395303578acda2fb8fb675c959c982588cd57861ceb8cd8881744293fd')
+
+build() {
+ GOPATH=$startdir
+ rm -rf $GOPATH/pkg || true
+ cd "$srcdir/flux-$pkgver"
+
+ GO111MODULE=on go build ./cmd/flux
+}
+
+package() {
+ install -Dm 755 "$srcdir/flux-$pkgver/flux" "$pkgdir/usr/bin/flux"
+}